INTEGRATION_NAME = 'QRadar'
PROVIDER_NAME = 'QRadar'
OFFENSES_CONNECTOR_NAME = 'OFFENSES'
CORRELATIONS_CONNECTOR_V2_NAME = 'CORRELATION V2'

# ACTIONS NAMES
PING_SCRIPT_NAME = '{} - Ping'.format(INTEGRATION_NAME)
RUN_AQL_QUERY_SCRIPT_NAME = '{} - Run AQL Query'.format(INTEGRATION_NAME)
GET_SIMILAR_EVENTS_SCRIPT_NAME = '{} - Get Similar Events'.format(INTEGRATION_NAME)
SIMILAR_FLOWS_QUERY_SCRIPT_NAME = '{} - Similar Flows Query'.format(INTEGRATION_NAME)
LOOKUP_VALUE_IN_REFERENCE_SET_SCRIPT_NAME = '{} - Lookup for a Value in Reference Set'.format(INTEGRATION_NAME)
UPDATE_OFFENSE_SCRIPT_NAME = '{} - Update Offense'.format(INTEGRATION_NAME)
ADD_OFFENSE_NOTE_SCRIPT_NAME = '{} - Add Offense Note'.format(INTEGRATION_NAME)
LIST_REFERENCE_MAPS_OF_SETS_SCRIPT_NAME = '{} - List Reference Maps of Sets'.format(INTEGRATION_NAME)
LIST_REFERENCE_MAPS_SCRIPT_NAME = '{} - List Reference Maps'.format(INTEGRATION_NAME)
LOOKUP_VALUE_IN_REFERENCE_MAP_SCRIPT_NAME = '{} - Lookup for a Value in Reference Map'.format(INTEGRATION_NAME)
LOOKUP_VALUE_IN_REFERENCE_MAP_OF_SETS_SCRIPT_NAME = '{} - Lookup for a Value in Reference Map of Sets'.format(INTEGRATION_NAME)
LIST_REFERENCE_SETS_SCRIPT_NAME = '{} - List Reference Sets'.format(INTEGRATION_NAME)
LOOKUP_KEY_IN_REFERENCE_MAP_SCRIPT_NAME = '{} - Lookup for a Key in Reference Map'.format(INTEGRATION_NAME)
LOOKUP_KEY_IN_REFERENCE_MAP_OF_SETS_SCRIPT_NAME = '{} - Lookup for a Key in Reference Map of Sets'.format(INTEGRATION_NAME)
LOOKUP_VALUE_IN_REFERENCE_TABLES_SCRIPT_NAME = '{} - Lookup for a Value in Reference Tables'.format(INTEGRATION_NAME)
LIST_REFERENCE_TABLES_SCRIPT_NAME = '{} - List Reference Tables'.format(INTEGRATION_NAME)
GET_RULE_MITRE_COVERAGE_SCRIPT_NAME = '{} - Get Rule MITRE Coverage'.format(INTEGRATION_NAME)
SIMPLE_AQL_SEARCH_SCRIPT_NAME = '{} - Simple AQL Search'.format(INTEGRATION_NAME)

# TABLES NAMES
AQL_QUERY_RESULT_TABLE_HEADER = 'Query results'
SIMILAR_FLOWS_TABLE_HEADER = 'Similar flows for entity: {}'
SIMILAR_EVENTS_TABLE_HEADER = 'Similar events for entity: {}'

# JOB SCRIPT NAMES
SYNC_CLOSURE_JOB_SCRIPT_NAME = '{} - SyncClosure'.format(INTEGRATION_NAME)
SIEMPLIFY_CLOSE_REASON = 'Closed by Siemplify'
DEFAULT_DAYS_BACKWARDS = 5

# CONNECTORS NAMES
QRADAR_CORRELATION_EVENTS_CONNECTOR_V2_SCRIPT_NAME = '{} Correlation Events Connector V2'.format(INTEGRATION_NAME)
QRADAR_OFFENCES_CONNECTOR_SCRIPT_NAME = '{} Offences Connector'.format(INTEGRATION_NAME)

# DB keys and file names
RULE_ID_NAME_MAPPING_FILE = "rules_id_name_mapping.json"
OFFENSE_EVENTS_FILE = "offense_events.json"
OFFENSE_EVENTS_DATA_FILE = "offenses_events_data.json"
RULE_ID_NAME_MAPPING_DB_KEY = "rules_id_name_mapping"
OFFENSE_EVENTS_DB_KEY = "offense_events"
OFFENSE_EVENTS_DATA_DB_KEY = "offenses_events_data"
MAP_FILE = "map.json"

# DEFAULTS

TIME_DELTA = 10  # minutes
LIMIT = 25
FIELDS = '*'
PAGE_SIZE = 100
MIN_PAGE_SIZE = 0

EVENTS_DATA_TYPE_IDENTIFIER = 'events'
FLOWS_DATA_TYPE_IDENTIFIER = 'flows'

OFFENSES_STATUS_OPEN = 'OPEN'
OFFENSES_STATUS_CLOSE = 'CLOSE'
CLOSED_STATUS = 'Closed'
DO_NOT_CHANGE_STATUS = "Don't change"

MAP_OBJECT_FIELDS = ["last_seen", "first_seen", "source", "value"]
DEFAULT_DOMAIN = "Default Domain"
INVALID_AQL_ERROR = 422

LAST_HOUR = "Last Hour"
LAST_6_HOURS = "Last 6 Hours"
LAST_24_HOURS = "Last 24 Hours"
LAST_WEEK = "Last Week"
LAST_MONTH = "Last Month"
ASCENDING = "ASC"
FLOWS = "Flows"
EVENT = "Events"
CUSTOM_TIME_FRAME = "Custom"
DATETIME_FORMAT = "%Y-%m-%d %H:%M:%S"
MAPPED_TIME_FRAMES = {
    LAST_HOUR: "LAST 1 HOURS",
    LAST_6_HOURS: "LAST 6 HOURS",
    LAST_24_HOURS: "LAST 24 HOURS",
    LAST_WEEK: "LAST 7 DAYS",
    LAST_MONTH: "LAST 30 DAYS"
}
DEFAULT_ORDER_BY_KEY = "startTime"
DEFAULT_SORT_ORDER = "DESC"
